"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeIdentityPoolUsage_1 = require("../model/operations/DescribeIdentityPoolUsage");
class DescribeIdentityPoolUsageCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeIdentityPoolUsage_1.DescribeIdentityPoolUsage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeIdentityPoolUsageCommand = DescribeIdentityPoolUsageCommand;
//# sourceMappingURL=DescribeIdentityPoolUsageCommand.js.map