"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeIdentityUsage_1 = require("../model/operations/DescribeIdentityUsage");
class DescribeIdentityUsageCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeIdentityUsage_1.DescribeIdentityUsage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeIdentityUsageCommand = DescribeIdentityUsageCommand;
//# sourceMappingURL=DescribeIdentityUsageCommand.js.map