"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const SetIdentityPoolConfiguration_1 = require("../model/operations/SetIdentityPoolConfiguration");
class SetIdentityPoolConfigurationCommand {
    constructor(input) {
        this.input = input;
        this.model = SetIdentityPoolConfiguration_1.SetIdentityPoolConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.SetIdentityPoolConfigurationCommand = SetIdentityPoolConfigurationCommand;
//# sourceMappingURL=SetIdentityPoolConfigurationCommand.js.map