"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UnsubscribeFromDataset_1 = require("../model/operations/UnsubscribeFromDataset");
class UnsubscribeFromDatasetCommand {
    constructor(input) {
        this.input = input;
        this.model = UnsubscribeFromDataset_1.UnsubscribeFromDataset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UnsubscribeFromDatasetCommand = UnsubscribeFromDatasetCommand;
//# sourceMappingURL=UnsubscribeFromDatasetCommand.js.map