"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateRecords_1 = require("../model/operations/UpdateRecords");
class UpdateRecordsCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateRecords_1.UpdateRecords;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateRecordsCommand = UpdateRecordsCommand;
//# sourceMappingURL=UpdateRecordsCommand.js.map