"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDatasetInput_1 = require("../shapes/DeleteDatasetInput");
const DeleteDatasetOutput_1 = require("../shapes/DeleteDatasetOutput");
const NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalErrorException_1 = require("../shapes/InternalErrorException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDataset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDataset",
    http: {
        method: "DELETE",
        requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}"
    },
    input: {
        shape: DeleteDatasetInput_1.DeleteDatasetInput
    },
    output: {
        shape: DeleteDatasetOutput_1.DeleteDatasetOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        }
    ]
};
//# sourceMappingURL=DeleteDataset.js.map