"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SetIdentityPoolConfigurationInput_1 = require("../shapes/SetIdentityPoolConfigurationInput");
const SetIdentityPoolConfigurationOutput_1 = require("../shapes/SetIdentityPoolConfigurationOutput");
const NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalErrorException_1 = require("../shapes/InternalErrorException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetIdentityPoolConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetIdentityPoolConfiguration",
    http: {
        method: "POST",
        requestUri: "/identitypools/{IdentityPoolId}/configuration"
    },
    input: {
        shape: SetIdentityPoolConfigurationInput_1.SetIdentityPoolConfigurationInput
    },
    output: {
        shape: SetIdentityPoolConfigurationOutput_1.SetIdentityPoolConfigurationOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=SetIdentityPoolConfiguration.js.map