"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SubscribeToDatasetInput_1 = require("../shapes/SubscribeToDatasetInput");
const SubscribeToDatasetOutput_1 = require("../shapes/SubscribeToDatasetOutput");
const NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalErrorException_1 = require("../shapes/InternalErrorException");
const InvalidConfigurationException_1 = require("../shapes/InvalidConfigurationException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.SubscribeToDataset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SubscribeToDataset",
    http: {
        method: "POST",
        requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}/subscriptions/{DeviceId}"
    },
    input: {
        shape: SubscribeToDatasetInput_1.SubscribeToDatasetInput
    },
    output: {
        shape: SubscribeToDatasetOutput_1.SubscribeToDatasetOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: InvalidConfigurationException_1.InvalidConfigurationException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=SubscribeToDataset.js.map