"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateRecordsInput_1 = require("../shapes/UpdateRecordsInput");
const UpdateRecordsOutput_1 = require("../shapes/UpdateRecordsOutput");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const InvalidLambdaFunctionOutputException_1 = require("../shapes/InvalidLambdaFunctionOutputException");
const LambdaThrottledException_1 = require("../shapes/LambdaThrottledException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const InternalErrorException_1 = require("../shapes/InternalErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRecords = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRecords",
    http: {
        method: "POST",
        requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}"
    },
    input: {
        shape: UpdateRecordsInput_1.UpdateRecordsInput
    },
    output: {
        shape: UpdateRecordsOutput_1.UpdateRecordsOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: InvalidLambdaFunctionOutputException_1.InvalidLambdaFunctionOutputException
        },
        {
            shape: LambdaThrottledException_1.LambdaThrottledException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        }
    ]
};
//# sourceMappingURL=UpdateRecords.js.map